/*
* Copyright 2004,2005 The Apache Software Foundation.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.apache.axis2.transport.jms;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import java.util.Hashtable;

/**
 * This class extend the {@link InitialContext} to provide thread safe look up of JNDI objects
 */
public class SynchronizedInitialContext extends InitialContext{

    public SynchronizedInitialContext(Hashtable<?,?> environment) throws NamingException{
        super(environment);
    }

    /**
     * The thread safe implementation of lookup method
     * @param name name of the object
     * @return object that the name bound to
     * @throws NamingException in case of an error
     */
    public synchronized Object lookup(String name) throws NamingException{
        return super.lookup(name);
    }
}
